#include<bits/stdc++.h>
using namespace std;

int N,P,H;

int main(){
    scanf("%d%d",&N,&P);
    for(int i=1;i<=N;++i){
        scanf("%d",&H);
        if(H<=P){
            printf("%d\n",i);
            return 0;
        }
    }
    printf("-1\n");
    return 0;
}